delete
https://partner.gupshup.io/partner/bizgate/app//group//participants
Removes one or more participants from a WhatsApp group so they no longer receive messages posted there.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| groupId | Identifier of the WhatsApp group. | 120363021051234567 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| messaging_product | Always "whatsapp" | — | Required | |
| participants | Participants to remove | — | — | Required |
Sample cURL — Remove group participants.
curl --request DELETE \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/group/120363021051234567/participants' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product" : "whatsapp",
"participants" : [ {
"user" : "91XXXXXXXX00"
} ]
}'Sample success response (200)
{
"status": "success",
"data": {
"messaging_product": "whatsapp",
"request_id": "C3D4E5F6G7H8I9J0K1L2M3N4O5P6Q7R8"
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…